BORG-DELETE(1)

NAME
borg-delete - Delete archives

SYNOPSIS

borg [common options] delete [options] [NAME]

DESCRIPTION

This command soft-deletes archives from the repository.

Important:

    •   The delete command will only mark archives for deletion ("soft-deletion"), repository disk space is not freed until you run borg compact.

    •   You can use borg undelete to undelete archives, but only until you run borg compact.

When in doubt, use --dry-run --list to see what would be deleted.

You can delete multiple archives by specifying a matching pattern, using the --match-archives PATTERN option (for more info on these patterns, see borg_patterns).

OPTIONS

See borg-common(1) for common options of Borg commands.

  arguments

    NAME
        specify the archive name

  options

    -n, --dry-run
        do not change repository

    --list
        output verbose list of archives

  Archive filters

    -a PATTERN, --match-archives PATTERN
        only consider archives matching all patterns. see "borg help match-archives".

    --sort-by KEYS
        Comma-separated list of sorting keys; valid keys are: timestamp, archive, name, id, tags, host, user; default is: timestamp

    --first N
        consider first N archives after other filters were applied

    --last N
        consider last N archives after other filters were applied

    --oldest TIMESPAN
        consider archives between the oldest archive's timestamp and (oldest + TIMESPAN), e.g. 7d or 12m.

    --newest TIMESPAN
        consider archives between the newest archive's timestamp and (newest - TIMESPAN), e.g. 7d or 12m.

    --older TIMESPAN
        consider archives older than (now - TIMESPAN), e.g. 7d or 12m.

    --newer TIMESPAN
        consider archives newer than (now - TIMESPAN), e.g. 7d or 12m.

EXAMPLES

            # delete all backup archives named "kenny-files":
            $ borg delete -a kenny-files
            # actually free disk space:
            $ borg compact

            # delete a specific backup archive using its unique archive ID prefix
            $ borg delete aid:d34db33f

            # delete all archives whose names begin with the machine's hostname followed by "-"
            $ borg delete -a 'sh:{hostname}-*'

            # delete all archives whose names contain "-2012-"
            $ borg delete -a 'sh:*-2012-*'

            # see what would be deleted if delete was run without --dry-run
            $ borg delete --list --dry-run -a 'sh:*-May-*'

SEE ALSO

borg-common(1), borg-compact(1), borg-repo-delete(1)

AUTHOR
The Borg Collective